package com.ysnows.update.component

import android.content.Context
import com.tencent.bugly.beta.Beta
import com.ysnows.update.util.InitUpgrade

/**
 * 初始化
 * CCRetrofit.getInstance()
 * .create(IUpdate.class)
 * .init();
 *
 *
 * 静默提示
 * CCRetrofit.getInstance()
 * .create(IUpdate.class)
 * .checkUpgrade(false);
 * 有提示
 * CCRetrofit.getInstance()
 * .create(IUpdate.class)
 * .checkUpgrade(true);
 */
object UpdateUtils {
    fun init(context: Context) {
        InitUpgrade.initBugly(context)
    }

    //    参数1：isManual 用户手动点击检查，非用户点击操作请传false
    //    参数2：isSilence 是否显示弹窗等交互，[true:没有弹窗和toast] [false:有弹窗或toast]

    fun checkUpgrade(isManual: Boolean, isSilence: Boolean) {
        Beta.checkUpgrade(isManual, isSilence) //立即启动升级提示
    }


}
